%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%{expand:%%define frel %(test -e /etc/fedora-release && perl -p -e 's@\D+([0-9\.]+)\D+@$1@' /etc/fedora-release || echo 0)}
%{expand:%%define atleastf8 %(expr %{frel} \>= 8)}

Name:           python-couchdb
Version:        0.6
Release:        1%{?dist}
Summary:        Python CouchDB libraries

Group:          Development/Languages
License:        BSD
URL:            http://code.google.com/p/couchdb-python/
Source0:        http://pypi.python.org/packages/source/C/CouchDB/CouchDB-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

%if %{atleastf8}
BuildRequires:  python-setuptools-devel
%else
BuildRequires:  python-setuptools
%endif

Requires:       python-httplib2

# not strictly necessary in python 2.6, since that comes with a simplejson
Requires:       python-cjson

%description
Python library for working with CouchDB.

This package currently encompasses four primary modules:

    * couchdb.client: the basic client library
    * couchdb.design: management of design documents
    * couchdb.schema: a higher-lever API for mapping between CouchDB documents
                      and Python objects
    * couchdb.view: a CouchDB view server that allows writing view functions
                    in Python 

It also provides a couple of command-line tools:

    * couchdb-dump: Writes a snapshot of a CouchDB database (including
                    documents, attachments, and design documents) to MIME
                    multipart file
    * couchdb-load: Reads a MIME multipart file as generated by couchdb-dump
                    and loads all the documents, attachments, and design
                    documents into a CouchDB database.
    * couchdb-replicate: Can be used as an update-notification script to
                         trigger replication between databases when data
                         is changed. 

%package devel
Summary:        Python CouchDB developer documentation
Group:          Development/Languages

%description devel
This package contains the developer documentation.

%prep
%setup -q -n CouchDB-%{version}

%build
%{__python} -c 'import setuptools; execfile("setup.py")' build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog.txt COPYING README.txt
%{python_sitelib}/*
%{_bindir}/couchdb-dump
%{_bindir}/couchdb-load
%{_bindir}/couchdb-replicate
%{_bindir}/couchpy

%files devel
%defattr(-,root,root,-)
%doc doc/api doc/index.*

%changelog
* Fri Oct 30 2009 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.6-1
- first package
